package com.example.tcc.document.models;

import java.util.HashMap;
import java.util.Map;

import static com.example.tcc.service.utils.Constants.STATUSES_LIST;

public class Statistics {
	String type;
	Map<String, Integer> worksByStatus;
	Integer totalProgress;
	Double averageScore;

	public Statistics(String type) {
		this.type = type;
		this.totalProgress = 0;
		this.averageScore = 0D;
		this.worksByStatus = new HashMap<>();
		for(String status : STATUSES_LIST) {
			this.worksByStatus.put(status, 0);
		}
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Map<String, Integer> getWorksByStatus() {
		return worksByStatus;
	}

	public void setWorksByStatus(Map<String, Integer> worksByStatus) {
		this.worksByStatus = worksByStatus;
	}

	public Integer getTotalProgress() {
		return totalProgress;
	}

	public void setTotalProgress(Integer totalProgress) {
		this.totalProgress = totalProgress;
	}

	public Double getAverageScore() {
		return averageScore;
	}

	public void setAverageScore(Double averageScore) {
		this.averageScore = averageScore;
	}
}
