package com.example.tcc.service.exception;

import java.util.List;

public class MissingArgumentsException extends Exception {
	private List<String> arguments;

	public MissingArgumentsException(String message, List<String> arguments) {
		super(message);
		this.arguments = arguments;
	}

	public List<String> getArguments() {
		return arguments;
	}
}
