part of 'user_bloc.dart';

abstract class UserEvent {}

class ResetStateUserEvent extends UserEvent {}

class RegisterUserEvent extends UserEvent {
  final String name;
  final String username;
  final String email;
  final String password;
  final String birthDate;
  final void Function(String errorMessage)? onError;

  RegisterUserEvent({
    required this.name,
    required this.username,
    required this.email,
    required this.password,
    required this.birthDate,
    this.onError,
  });
}
