part of 'user_bloc.dart';

class UserState {}

class LoadingUserState extends UserState {}

class RegisteredUserState extends UserState {
  final String username;
  final String password;

  RegisteredUserState({
    required this.username,
    required this.password,
  });
}

class ErrorUserState extends UserState {
  final String errorMessage;

  ErrorUserState({required this.errorMessage});
}
