class CreateSessionDto {
  final String accessToken;
  final String refreshToken;

  CreateSessionDto({required this.accessToken, required this.refreshToken});

  CreateSessionDto.fromResponseContent(Map content)
      : accessToken = content['access_token'],
        refreshToken = content['refresh_token'];
}
