import 'package:equatable/equatable.dart';

class RegisterRequestDto extends Equatable {
  final String name;
  final String username;
  final String email;
  final String birthDate;
  final String password;

  const RegisterRequestDto({
    required this.name,
    required this.username,
    required this.email,
    required this.birthDate,
    required this.password,
  });

  Map<String, dynamic> toMap() {
    return {
      'name': name,
      'username': username,
      'password': password,
      'email': email,
      'birthDate': birthDate,
    };
  }

  @override
  List<Object?> get props => [
        name,
        username,
        email,
        birthDate,
        password,
      ];
}
