import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';

import 'package:path_provider/path_provider.dart';

bool isOlderThan13(String birthDateStr) {
  List<String> birthDate = birthDateStr.split('/');

  DateTime today = DateTime.now();

  DateTime checkDate = DateTime(
    int.parse(birthDate[2]) + 13,
    int.parse(birthDate[1]),
    int.parse(birthDate[0]),
  );

  return checkDate.isBefore(today);
}

String translateWorkType({required String workType}) {
  switch (workType) {
    case 'movie':
      return 'Filmes';
    case 'game':
      return 'Jogos';
    case 'series':
      return 'Séries';
    case 'book':
      return 'Livros';
    default:
      return 'Geral';
  }
}