part of 'edit_profile_bloc.dart';

abstract class EditProfileEvent {}

class SaveEditProfileEvent extends EditProfileEvent{}

class ToggleCycleFavoritesEvent extends EditProfileEvent {}

class SelectCoverImageEvent extends EditProfileEvent {
  final String coverUrl;
  SelectCoverImageEvent({required this.coverUrl});
}

class LoadPersonalListEvent extends EditProfileEvent {}

class ChangeNameEvent extends EditProfileEvent {
  final String name;
  ChangeNameEvent({required this.name});
}

class ChangeProfilePictureEvent extends EditProfileEvent{
  final File picture;
  ChangeProfilePictureEvent({required this.picture});
}