// ignore_for_file: public_member_api_docs, sort_constructors_first
part of 'edit_profile_bloc.dart';

@immutable
class EditProfileState {
  final ProfileDto? editedUserProfile;
  final ProfileDto? oldUserProfile;
  final bool? isLoading;
  final List<WorkInPersonalListDto>? works;
  const EditProfileState({
    this.editedUserProfile,
    this.oldUserProfile,
    this.isLoading,
    this.works,
  });

  EditProfileState copyWith({
    ProfileDto? editedUserProfile,
    ProfileDto? oldUserProfile,
    bool? isLoading,
    List<WorkInPersonalListDto>? works,
  }) {
    return EditProfileState(
      editedUserProfile: editedUserProfile ?? this.editedUserProfile,
      oldUserProfile: oldUserProfile ?? this.oldUserProfile,
      isLoading: isLoading ?? this.isLoading,
      works: works ?? this.works,
    );
  }
}

class EditProfileSaved extends EditProfileState {}
