part of 'personal_list_bloc.dart';

abstract class PersonalListState {
  const PersonalListState();
}

class InitialPersonalListState extends PersonalListState {
  const InitialPersonalListState();
}

class LoadingPersonalListState extends PersonalListState {
  const LoadingPersonalListState();
}

class ErrorPersonalListState extends PersonalListState {
  final String message;

  const ErrorPersonalListState(this.message);
}

class NotLoggedPersonalListState extends PersonalListState {
  const NotLoggedPersonalListState();
}

class EmptyPersonalListState extends PersonalListState {
  const EmptyPersonalListState();
}

class SuccessPersonalListState extends PersonalListState {
  final List<WorkInPersonalListDto> works;

  const SuccessPersonalListState(this.works);
}