part of 'personal_work_status_bloc.dart';

abstract class PersonalWorkStatusEvent {}

class LoadPersonalWorkStatusEvent implements PersonalWorkStatusEvent {
  final String workId;

  LoadPersonalWorkStatusEvent(this.workId);
}

class UpdateScreenPersonalWorkStatusEvent implements PersonalWorkStatusEvent {
  final void Function() setScreenState;

  UpdateScreenPersonalWorkStatusEvent(this.setScreenState);
}

class SavePersonalWorkStatusEvent implements PersonalWorkStatusEvent {
  final SuccessPersonalWorkStatusState currentState;
  final String workId;
  final WorkUserStatusDto work;
  final void Function(bool) callback;

  SavePersonalWorkStatusEvent({required this.currentState, required this.workId, required this.work, required this.callback});
}