class WorkViewModel {
  final String? workId;
  final String name;
  final String? coverUrl;

  WorkViewModel({
    required this.name,
    this.workId,
    this.coverUrl,
  });

  WorkViewModel.fromResponseContent(Map content)
      : workId = content['id'],
        name = content['name'],
        coverUrl = content['cover'];
}
