# PAIMON - Aplicativo Mobile

Projeto mobile para o sistema PAIMON. O projeto pode ser executado em modo debug, ou ser utilizado
para gerar uma build que pode ser instalada em um dispositivo Android real ou emulado.

## Requisitos

Para executar ou compilar o projeto, é necessário ter instalada a SDK do Flutter na versão 3. Para 
emular um dispositivo Android ou efetuar a compilação, é necessário ter alguma versão da SDK do
Android instalada. Também é necessária a criação de um AVD (Android Virtual Device) para a execução
em um dispositivo emulado.

## Executando

Para execução em um dispositivo emulado, a forma mais fácil é utilizar o Android Studio. Na linha de
comando, pode-se inicializar o emulador  através do comando:

```bash
flutter emulators --launch device_id # onde o device_id é o código do dispositivo emulado
```

Com o emulador iniciado, ou um dispositivo real conectado ao computador, pode-se iniciar o projeto 
através do comando:

```
flutter run --debug -d device_id
```

Para gerar uma build no formato `.apk`, instalável no dispositivo, utiliza-se o comando:

```
flutter build apk
```