import 'package:dio/dio.dart';
import 'package:tcc_app/data/repositories/app_repository.dart';

class PersonRepository extends AppRepository {
  Dio dio;

  PersonRepository({required this.dio});

  Future<Response?>? fetchPersonByName(String personName) async {
    try {
      return await dio.get('/public/person/$personName');
    } on DioError catch (e, stackTrace) {
      super.errorHandler(e, stackTrace);
    }
  }
}