part of 'personal_work_status_bloc.dart';

abstract class PersonalWorkStatusState {
  const PersonalWorkStatusState();
}

class InitialPersonalWorkStatusState extends PersonalWorkStatusState {
  const InitialPersonalWorkStatusState();
}

class LoadingPersonalWorkStatusState extends PersonalWorkStatusState {
  const LoadingPersonalWorkStatusState();
}

class ErrorPersonalWorkStatusState extends PersonalWorkStatusState {
  final String message;

  const ErrorPersonalWorkStatusState(this.message);
}

class NotLoggedPersonalWorkStatusState extends PersonalWorkStatusState {
  const NotLoggedPersonalWorkStatusState();
}

class SuccessPersonalWorkStatusState extends PersonalWorkStatusState {
  final WorkStatusWithDetailsDto work;

  const SuccessPersonalWorkStatusState({required this.work});
}
