part of 'search_bloc.dart';

class SearchState {
  final String query;
  final List<ReadWorkDetailsDto>? works;
  final String type;
  final bool isLoading;
  final List<WorkInPersonalListDto> userList;

  SearchState({
    required this.query,
    required this.works,
    this.isLoading = false,
    this.type = 'any',
    this.userList = const [],
  });

  SearchState copyWith({
    String? query,
    List<ReadWorkDetailsDto>? works,
    String? type,
    bool? isLoading,
    List<WorkInPersonalListDto>? userList,
  }) =>
      SearchState(
        query: query ?? this.query,
        works: works ?? this.works,
        type: type ?? this.type,
        isLoading: isLoading ?? this.isLoading,
        userList: userList ?? this.userList,
      );
}
