part of 'work_bloc.dart';

abstract class WorkState {
  const WorkState();
}

class InitialWorkState extends WorkState {
  const InitialWorkState();
}

class LoadingWorkState extends WorkState {
  const LoadingWorkState();
}

class ErrorWorkState extends WorkState {
  final String message;

  const ErrorWorkState(this.message);
}

class NotFoundWorkState extends WorkState {
  final String workId;

  const NotFoundWorkState(this.workId);
}

class SuccessWorkState extends WorkState {
  final ReadWorkDetailsDto work;
  final WorkInPersonalListDto? workUserStatus;

  const SuccessWorkState(this.work, this.workUserStatus);
}
