import 'dart:ui';
import 'package:flutter/material.dart';

class ContainerBlur extends StatelessWidget {
  final Widget child;
  const ContainerBlur({required this.child, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BackdropFilter(
      filter: ImageFilter.blur(sigmaX: 40.0, sigmaY: 40.0),
      child: child,
    );
  }
}
